#!/usr/bin/env python3
#
# Copyright (c) 2024 Stormux
# Copyright (c) 2010-2012 The Orca Team
# Copyright (c) 2012 Igalia, S.L.
# Copyright (c) 2005-2010 Sun Microsystems Inc.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., Franklin Street, Fifth Floor,
# Boston MA  02110-1301 USA.
#
# Fork of Orca Screen Reader (GNOME)
# Original source: https://gitlab.gnome.org/GNOME/orca

'''TEST	the Ability to find out the square root of a selected number'''

from macaroon.playback import *
import utils
sequence = MacroSequence()

###############################################################################
# Use the 'Advanced' mode...
#
sequence.append(WaitForWindowActivate("Calculator", None))
sequence.append(KeyComboAction("<Control>a"))
sequence.append(WaitForFocus("Change Mode", acc_role=pyatspi.ROLE_PUSH_BUTTON))
sequence.append(KeyComboAction("Return"))

###############################################################################
# Input the number 144 and find its square root.
#
sequence.append(WaitForWindowActivate("Calculator - Advanced", None))
sequence.append(TypeAction("s144)"))
sequence.append(utils.StartRecordingAction())
sequence.append(KeyComboAction("Return"))
sequence.append(utils.AssertPresentationAction(
"Get the answer '12'",
["BRAILLE LINE:  '12'",
"     VISIBLE:  '12', cursor=0",
"SPEECH OUTPUT: '12'"]))

###############################################################################
##Set Calculator to basic modul.
##Select 'Calculator'->'Quit' to exit.
##
sequence.append(KeyComboAction("<Control>b"))
	
# Just a little extra wait to let some events get through.
#
sequence.append(PauseAction(3000))

sequence.start()

